#### D.15.11.4 maxPoints

Procedure from library `maxlike.lib` (see maxlike_lib).

Usage:
  maxPoints(I,u,prec [, "nodisplay"]); ideal I, intvec u, int prec I represents the algebraic statistical model, u is the data vector under considerarion, and prec is the precision to be used in the computations

Return:
  ring: a complex ring R in which you can find the following two lists: - MPOINTS, points in which the loglikelihood function has a local maximum, and - LHESSIANS, the (modified) Hessians at those points
  also prints out the points in MPOINTS, unless a fourth argument is given

Note:
  Just uses likeideal, loghessian and getmaxpoints.

Example:

    LIB "maxlike.lib";
    ring r = 0,(x,y),dp;
    poly pA = -10x+2y+25;
    poly pC = 8x-y+25;
    poly pG = 11x-2y+25;
    poly pT = -9x+y+25;
    intvec u = 10,14,15,10;
    ideal I = pA,pC,pG,pT;
    def R = maxPoints(I, u, 50);
    ==> [1]:
    ==>    [1]:
    ==> 0.51912639453217837465463128685404418932771758896637
    ==>    [2]:
    ==> 0.21725133256396491722887792998009835426225610459149
    ==>
    ==> // In the ring created by getmaxpoints you can find the lists
    ==> //   MPOINTS, containing points in which the loglikelihood function has a\
        local maximum, and
    ==> //   LHESSIANS, containing the (modified) Hessians at those points.
    ==>
    setring R;
    MPOINTS;
    ==> [1]:
    ==>    [1]:
    ==> 0.51912639453217837465463128685404418932771758896637
    ==>    [2]:
    ==> 0.21725133256396491722887792998009835426225610459149
    LHESSIANS;
    ==> [1]:
    ==>    _[1,1]=-65487950.391931360088969690060635799847590217779318
    ==>    _[1,2]=10577428.579689959415257134363650588464921754723022
    ==>    _[2,1]=10577428.579689959415257134363650588464921754723022
    ==>    _[2,2]=-1795635.2877514452321365400508526832132830781483598

User manual for Singular version 4.4.1, 2025, generated by texi2html.